Bug 1084742 - Resume does not work on ThinkPad X1 Carbon (2014)
Summary: Resume does not work on ThinkPad X1 Carbon (2014)
Keywords:
Status: CLOSED DUPLICATE of bug 1164937
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Garrett
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-06 07:42 UTC by Sebastian Bergmann
Modified: 2014-12-10 17:19 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 15:03:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Sebastian Bergmann 2014-04-06 07:42:56 UTC
I installed Fedora 20 on my new ThinkPad X1 Carbon (2014). I am currently using the 3.13.8-200.fc20.x86_64 kernel. I am using GNOME 3.12 from http://copr.fedoraproject.org/coprs/rhughes/f20-gnome-3-12/ to get at least some support for HiDPI.

Suspend (triggered by closing the laptop or by "sudo pm-suspend") seems to work but resuming from it does not work. I have to power off and back on.

Hibernate (triggered with "sudo pm-hibernate") works. Resuming from hibernation works as well. As a workaround, I would be happy if the laptop would hibernate instead of suspend when I close it. How would I configure that?

Comment 1 Andrew Reitz 2014-04-19 19:51:15 UTC
I was having the same issue, after updating the bios resuming now works.

From http://support.lenovo.com/en_US/downloads/detail.page?DocID=DS039783
"(Fix) Fixed an issue where the computer might not resume normal operation from
sleep state on Linux."

Comment 2 Sebastian Bergmann 2014-04-19 21:41:38 UTC
Thank you, Andrew, for sharing that information. I just updated the BIOS and can confirm that this solves the issue.

Comment 3 Andrew Reitz 2014-04-20 12:47:53 UTC
@Sebastian; glad to help!

Comment 4 Matthew Garrett 2014-05-19 03:00:21 UTC
Reopening and assigning to me because if it works in Windows, it should work in Linux. No promises that I'll figure out what the problem is, though.

Comment 5 Sebastian Bergmann 2014-05-20 04:49:17 UTC
Update: The adaptive keyboard (see also https://bugzilla.redhat.com/show_bug.cgi?id=1078455) is turned off after resume rendering it completely unusable (no F keys) until the next reboot.

Comment 6 Andrew Reitz 2014-05-20 19:59:40 UTC
It does however work after waking up from hibernation.

Comment 7 Jonathan Corbet 2014-09-22 12:32:10 UTC
So I have a variation on this.  My new X1 Carbon (BIOS 1.16) will suspend and resume fine with F20.  But the F21 almost-alpha fails.  It will suspend and I get the blinking power button, but nothing happens upon pressing that button.  I have to hold it down until things power off entirely and start over.

All the various pm_test modes work fine.  I've installed the F20 kernel on the F21 alpha, and that fails to resume, so the kernel itself doesn't seem to be the problem, somehow.

Thoughts?  Anything else I should try?

Comment 8 Johannes 2014-10-14 07:38:23 UTC
Is this on a Lenovo X1 Carbon gen2 / 20A8 i have the same problem here on F21.

F20 could suspend and resume without a problem.

Comment 9 Johannes 2014-10-14 16:26:35 UTC
I use BIOS 1.16 on the update to 1.17 did not work

DMI: LENOVO 20A8S28500/20A8S28500, BIOS GRET39WW (1.16 ) 06/06/2014

Comment 10 Justin M. Forbes 2014-11-13 16:05:13 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 11 Justin M. Forbes 2014-12-10 15:03:28 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 12 Jonathan Corbet 2014-12-10 16:22:23 UTC
FWIW, this problem is solved in F21 by including the tpm module at boot or disabling the TPM in the BIOS.  So all should be well here.

Comment 13 Josh Boyer 2014-12-10 17:19:17 UTC

*** This bug has been marked as a duplicate of bug 1164937 ***


Note You need to log in before you can comment on or make changes to this bug.